package edu.umd.dawn.common.filters;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletRequestWrapper;
import java.util.Collections;
import java.util.Enumeration;
import java.util.Map;

public class CaseInsensitiveFilterWrapper extends HttpServletRequestWrapper {

    Map<String, String[]> formattedParams;

    public CaseInsensitiveFilterWrapper(HttpServletRequest request, Map<String, String[]> formattedParams) {
        super(request);
        this.formattedParams = formattedParams;
    }

    @Override
    public String getParameter(String name) {
        return formattedParams.containsKey(name) ? formattedParams.get(name)[0] : null;
    }

    @Override
    public Enumeration<String> getParameterNames() {
        return Collections.enumeration(formattedParams.keySet());
    }

    @Override
    public String[] getParameterValues(String name) {
        return formattedParams.get(name);
    }

    @Override
    public Map<String, String[]> getParameterMap() {
        return formattedParams;
    }
}
